Foreman - Bug #35173

Failing integration tests
07/07/2022 01:23 PM - Leos Stejskal

Status: Closed
Priority: Normal
Assignee: Oleh Fedorenko
Category: JavaScript stack
Target version: 3.4.0
Difficulty: Fixed in Releases: 3.4.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9302
Description

After merging of PR#9267 [0] some integration tests are failing because of empty
search bar input value (missing "name = hostname").

How to reproduce (on develop)
rm —-rf tmp/*;
bundle exec rails webpack:compile

bundle exec spring stop

DEBUG_JS_TEST=1 bundle exec rails test test/integration/fact_value_js_test.rb test/integration/con
fig_report_js_test.rb

If you checkout 877eb77 [1] commit and repeat steps above, everything works as expected.
Notes

e |t's not working ONLY in the integration tests, latest Firefox and Chrome works without any problems
e Downgrading chromedriver from 102 to 93 didn't do anything

[0] https://github.com/theforeman/foreman/pull/9267
[1] https://github.com/theforeman/foreman/commit/877eb770tb20b3bdb541114ad671d6a74ed4ddof

Related issues:
Related to Foreman - Bug #35072: Wrong search props with new TablelndexPage Closed

Associated revisions

Revision 041e860b - 07/12/2022 01:27 PM - Oleh Fedorenko

Fixes #35173 - Better distinguish autocompletion for index pages

History

#1 - 07/12/2022 11:40 AM - Oleh Fedorenko
- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

#2 - 07/12/2022 12:29 PM - Oleh Fedorenko
- Related to Bug #35072: Wrong search props with new TableIndexPage added

#3 - 07/12/2022 12:31 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9302 added
https://github.com/theforeman/foreman/pull/9267
https://github.com/theforeman/foreman/commit/877eb770fb20b3bdb541114ad671d6a74ed4dd9f

#4 - 07/12/2022 01:28 PM - The Foreman Bot
- Fixed in Releases 3.4.0 added

#5 - 07/12/2022 02:01 PM - Oleh Fedorenko
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|041e860bd7592b1f99c75e6aac6818bc15a377c0.
